signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Friends | List of all members
SignonDaemonNS::PluginProxy Class Reference

Plugin proxy. More...

`#include <pluginproxy.h>`

Inheritance diagram for SignonDaemonNS::PluginProxy:
[legend]
Collaboration diagram for SignonDaemonNS::PluginProxy:
[legend]

## Public Slots
QString | type () const
QStringList | mechanisms () const
bool | process (const QVariantMap &inData, const QString &mechanism)
bool | processUi (const QVariantMap &inData)
bool | processRefresh (const QVariantMap &inData)
void | cancel ()
void | stop ()

## Signals
void | processResultReply (const QVariantMap &data)
void | processStore (const QVariantMap &data)
void | processUiRequest (const QVariantMap &data)
void | processRefreshRequest (const QVariantMap &data)
void | processError (int error, const QString &message)
void | stateChanged (int state, const QString &message)

## Public Member Functions
virtual | ~PluginProxy ()
bool | restartIfRequired ()
bool | isProcessing ()

## Static Public Member Functions
static PluginProxy * | createNewPluginProxy (const QString &type)

## Friends
class | SignonIdentity
class | TestAuthSession

## Detailed Description

Plugin proxy.

Todo:
  description.

Definition at line 56 of file pluginproxy.h.

## Constructor & Destructor Documentation

SignonDaemonNS::PluginProxy::~PluginProxy | ( |  | ) |
| virtual

Definition at line 105 of file pluginproxy.cpp.

References PLUGINPROCESS_STOP_TIMEOUT.

## Member Function Documentation

void SignonDaemonNS::PluginProxy::cancel | ( |  | ) |
| slot

Definition at line 232 of file pluginproxy.cpp.

References TRACE.

Referenced by SignonDaemonNS::SignonSessionCore::cancel().

PluginProxy * SignonDaemonNS::PluginProxy::createNewPluginProxy | ( | const QString & | type | ) |
| static

Definition at line 138 of file pluginproxy.cpp.

References BLAME, PLUGINPROCESS_START_TIMEOUT, REMOTEPLUGIN_BIN_PATH, and TRACE.

Referenced by SignonDaemonNS::SignonSessionCore::setupPlugin().

bool SignonDaemonNS::PluginProxy::isProcessing | ( |  | ) |

Definition at line 261 of file pluginproxy.cpp.

QStringList SignonDaemonNS::PluginProxy::mechanisms | ( |  | ) | const
| inline slot

Definition at line 72 of file pluginproxy.h.

Referenced by SignonDaemonNS::SignonSessionCore::queryAvailableMechanisms(), and SignonDaemonNS::SignonDaemon::queryMechanisms().

bool SignonDaemonNS::PluginProxy::process | ( | const QVariantMap & | inData,
|  | const QString & | mechanism
| ) |  |
| slot

Definition at line 176 of file pluginproxy.cpp.

void SignonDaemonNS::PluginProxy::processError | ( | int | error,
|  | const QString & | message
| ) |  |
| signal

bool SignonDaemonNS::PluginProxy::processRefresh | ( | const QVariantMap & | inData | ) |
| slot

Definition at line 214 of file pluginproxy.cpp.

References TRACE.

void SignonDaemonNS::PluginProxy::processRefreshRequest | ( | const QVariantMap & | data | ) |
| signal

void SignonDaemonNS::PluginProxy::processResultReply | ( | const QVariantMap & | data | ) |
| signal

void SignonDaemonNS::PluginProxy::processStore | ( | const QVariantMap & | data | ) |
| signal

bool SignonDaemonNS::PluginProxy::processUi | ( | const QVariantMap & | inData | ) |
| slot

Definition at line 196 of file pluginproxy.cpp.

References TRACE.

void SignonDaemonNS::PluginProxy::processUiRequest | ( | const QVariantMap & | data | ) |
| signal

bool SignonDaemonNS::PluginProxy::restartIfRequired | ( |  | ) |

Definition at line 548 of file pluginproxy.cpp.

References PLUGINPROCESS_START_TIMEOUT, REMOTEPLUGIN_BIN_PATH, and TRACE.

void SignonDaemonNS::PluginProxy::stateChanged | ( | int | state,
|  | const QString & | message
| ) |  |
| signal

void SignonDaemonNS::PluginProxy::stop | ( |  | ) |
| slot

Definition at line 239 of file pluginproxy.cpp.

References TRACE.

QString SignonDaemonNS::PluginProxy::type | ( |  | ) | const
| inline slot

Definition at line 71 of file pluginproxy.h.

## Friends And Related Function Documentation

friend class SignonIdentity
| friend

Definition at line 60 of file pluginproxy.h.

friend class TestAuthSession
| friend

Definition at line 61 of file pluginproxy.h.

The documentation for this class was generated from the following files:

- src/signond/pluginproxy.h
- src/signond/pluginproxy.cpp